Bug 107268 - 1.1.0-2 RPMs missing startup-notification dependency
1.1.0-2 RPMs missing startup-notification dependency
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: openoffice.org (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-16 08:17 EDT by Richard Lloyd
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-27 10:32:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Lloyd 2003-10-16 08:17:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.4) Gecko/20030701

Description of problem:
The OpenOffice 1.1.0 RPM should have a dependency on
the startup-notification RPM (specifically the library within it)

Version-Release number of selected component (if applicable):
openoffice.org-1.1.0-2

How reproducible:
Always

Steps to Reproduce:
1. Find a machine without the startup-notification RPM/library (e.g. I used Red
Hat 8.0) or try to uninstall that RPM (good luck !).
2. Install the (3) Open Office RPMs from Raw Hide (you may need to "rpm -e" any
existing Open Office RPMs to avoid clashes).
3. Try to run Open Office (e.g. "oowriter").
    

Actual Results:  When I run Open Office after doing the above steps on a Red Hat
8.0 machine, I get:

/usr/lib/openoffice/program/soffice.bin: error while loading shared libraries:
libstartup-notification-1.so.0: cannot open shared object file: No such file or
directory


Expected Results:  Either the RPMs should have stopped me from installing them
by stating that there's a startup-notification dependency or the binary should
have worked (e.g. linked against a static version of said library).

Additional info:

I will file a separate bug about some initial warning when running
Raw Hide's Open Office 1.1.0 on a Red Hat 8.0 machine (yes, I did install the
Raw Hide startup-notification RPM and managed to get Open Office 1.1.0
working on 8.0...).
Comment 1 Dan Williams 2003-10-16 12:49:06 EDT
Should be fixed with 1.1.0-3, coming soon.  I had taken that out, but forgot to
take out the --enable-libsn in the configure options :(  I've also added a
couple changes to enable builds on RH9.  These include using the system
berkeleydb, but only account for 4.0 and 4.1.  Does RH8 use db4 4.0 or is it
still on 3.x?
Comment 2 Richard Lloyd 2003-10-16 13:05:45 EDT
db4-4.0.14-14 is the build release on Red Hat 8.0. I'll probably go to
Fedora Core when it goes final in a few weeks, but I was just impatient to
see Open Office 1.1 on Red Hat 8.0 :-) It's a shame that the openoffice.org
folks don't actually ship any RPMs - Raw Hide and the Fedora Core Test 3
look like just about the only Red Hat RPMs of Open Office 1.1 out there...
Comment 3 Dan Williams 2003-10-27 10:32:06 EST
Fixed in 1.1.0-3.  I've disabled startup notification for Shrike
systems, but the build fails with Mozilla stuff.  I need to look into
this further to get a good RH9 build.

Note You need to log in before you can comment on or make changes to this bug.